Main Forum
Page
of 2

Modpack Download Tutorial

17 replies
Posts:
118
Points:
+5
Likes:
+76
How to get SkyFactory 2.4!

New to modded Minecraft? Never used ATLauncher? Not to worry, just follow this guide and you'll be playing SkyFactory in no time!

Step 1:
Download the ATLauncher.

Go to https://www.atlauncher.com/downloads and select your operating system from the three download links at the bottom.

Picture of download buttons
YZ6tTt4.png

Step 2:
Place the .exe file that you downloaded in its own empty folder and run it. (I put it on my desktop so I could access it quickly)

Step 3:
Click on the "Accounts" tab and add your Minecraft account. I do not recommend checking the "Remember Password" box.

SfetmiN.png

Step 4:
Click on the "Packs" tab and select "New Instance" on the Sky Factory 2 pack. This should be the first pack you see.

kkz6jj4.png

Step 5:
Click the "Install" button on the small menu that pops up.

NURjHLx.png

Step 6:
Check the boxes by Lucky Blocks, MorePlayerModels, Tails, and Vein Miner. Leave the boxes by Dual Hotbar and InfiniteInvo unchecked, then click "Install".

63BkrRg.png


Step 7 (Optional):
If you choose to skip this step, proceed to step 12.
Go to optifine.net/downloads.php and download OptiFine 1.7.10 HD U D7. Do not install it; ONLY download it.

YrLcPwf.png

Step 8 (Optional Continued):
When the modpack is done installing, click on the "Instances" tab and select "Edit Mods".

KuuLfar.png

Step 9 (Optional Continued):
Click the "Add Mod" Button. On the small screen that pops up, click the "select" button. Navigate to where you placed
the Optifine file (by default, in your "Downloads" folder) and select it; then hit "add".

X3sHJ0C.png

Step 10 (Optional Continued):
Check the box next to Optifine, then hit "Enable Mod". Close this window.

fY7BuQ5.png

Step 11:
Click on the "Settings" tab, then click on the "Java/Minecraft" tab.
Make sure that your Initial Memory/RAM is set to -at least- 512 MB, and your Maximum Memory/RAM is set to -at least- 1024 MB.
It is possible to load the game with these settings, but it may freeze or crash during initialization, and you will experience lag in-game. Higher values are recommended.

cBsIQ4i.png

Step 12:
Click on the "Instances" tab and then click "Play". Depending on how powerful your computer is and how much RAM you allocated, the game can take up to 10 minutes to boot. This is normal and you should not be concerned.

If you followed steps 8-11, don't forget to click "Options" when your game boots up and adjust all the new Video Settings options that the Optifine mod has added, especially making sure that you turn Fast Math to On, Graphics to Fast, Smooth Lighting None, Fog off, Trees to Fast, and most important if you lag: TURN OFF ALL PARTICLES.

Hopefully this tutorial has helped you and I hope to see you on the server soon!

Note: If you are crashing during loading, try increasing your allocated ram to a higher number (as shown in step 12), or updating your java to the latest *64-bit* version here:
https://www.java.com/en/download/manual.jsp
UM-9-24-17-Important-Man-Important-Plan-Compressed.png
Posted Apr 5, 17 · OP · Last edited Jul 6, 17
Like
x 2
x 2
List
Undo
Posts:
62
Points:
+3,160
Likes:
+17
Loving it, though wondering why no Skyfactory 3? why 2.4?
Posted Apr 6, 17
Posts:
118
Points:
+5
Likes:
+76
SkyFactory 3 is completely different from SkyFactory 2.4. It runs on a different launcher and uses many different mods. I found that SkyFactory 2.4 was more accessible for more people since ATLauncher is lighter and easier to run, and seemed to have more people playing it.
UM-9-24-17-Important-Man-Important-Plan-Compressed.png
Posted Apr 6, 17 · OP
Like
x 1
x 1
List
Undo
Posts:
62
Points:
+3,160
Likes:
+17
okay.
Posted Apr 6, 17
Posts:
62
Points:
+3,160
Likes:
+17
Though I'm fairly sure they both use Forge, and the only real difference would be the mods, the launcher is.. well just a launcher.

I know 2.4 and 3 are different, however 3 runs on one of the latest version of MC whereas 2.4 is on 1.7.10 which was released in 2014..

that said I am enjoying it, though I wish selecting a block with middle mouse would work (it switch it to your hotbar :( )
Posted Apr 7, 17 · Last edited Apr 7, 17
Posts:
108
Points:
+2,210
Likes:
+57
Step 8 says "OptiFine 1.8.0 HD U H7" img says optifine 1.7 version...
optifine 1.8 causes crash, 1.7 doesnt..
Hackusations: 50!

Posted Apr 7, 17
Posts:
241
Points:
+275
Likes:
+98
Skyfactory 2.4 is all 1.7.10 mods so that would be the reason
062fac7e85.gif
Posted Apr 7, 17
Posts:
74
Points:
+120
Likes:
0
I can't even run it, it keeps crashing. It show me how outdated my PC is :( , I am not loaded or rich to have a Grand PC that can play ever game out there, 2 years back I posted saying that I will be posting and playing less on the server because I wash going to have an Operation for my Heart, so it took me out of the game life for a while, but now I try to play here and there with the little time I have. I can't upgrade my status pass a Veteran because all my funds go to Operations and Medications. Probably I might be able to get a new Laptop later to play the Sky Factory 2 but I am unsure of that as well.
Dagu+Sig_1510884330.jpg
Posted Apr 8, 17
Posts:
118
Points:
+5
Likes:
+76
Daguman:
Did you try the two steps at the bottom of the page: updating your java via that link and then allocating more memory in the java/minecraft tab under settings?

Glitch:
Step 8 says 1.7.10 in both the text and the image for me?

-edit- Apparently another staff member fixed it, and that's why... lol.
UM-9-24-17-Important-Man-Important-Plan-Compressed.png
Posted Apr 8, 17 · OP · Last edited Apr 8, 17
Posts:
165
Points:
+1,350
Likes:
+55
Very thorough!!
Posted Apr 9, 17
Page
of 2
Top Posters
934 Posts
706 Posts
260 Posts
241 Posts
223 Posts
208 Posts
197 Posts
168 Posts
165 Posts
161 Posts
125 Posts
124 Posts
124 Posts
118 Posts
115 Posts
NoticeNotices